#pragma once
#include <iostream>

namespace DFF_VideoMat{

class CAlgorithm
{
protected:
	std::string m_algName;
public:
	CAlgorithm();
	virtual ~CAlgorithm();

	virtual bool Execute() = 0;
	virtual bool Init() = 0;
};

}